using System;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace AeonsOfTerraria.Items {
public class AncientTransmuter : ModItem
{
    public override void SetDefaults()
    {
        item.name = "Ancient Transmuter";
        item.width = 26;
        item.height = 22;
        item.maxStack = 99;
        AddTooltip("It may have been invented by an intelligent and ancient civilization.");
        item.useTurn = true;
        item.autoReuse = true;
        item.useAnimation = 15;
        item.useTime = 10;
        item.useStyle = 1;
        item.consumable = true;
		item.rare = 5;
        item.value = 150;
        item.createTile = mod.TileType("AncientTransmuter");
    }

    public override void AddRecipes()
    {
        ModRecipe recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.IronBar, 15);
        recipe.SetResult(this);
        recipe.AddRecipe();
        
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.LeadBar, 15);
        recipe.SetResult(this);
        recipe.AddRecipe();		
    }
}}