using System;
using Microsoft.Xna.Framework;
using Terraria;
using Terraria.ModLoader;

namespace AeonsOfTerraria.Items {
public class Ansatsu : ModItem
{
	
    public override void SetDefaults()
    {
        item.name = "Ansatsu";
        item.damage = 152;
        item.melee = true;
		item.useTurn = true;
        item.width = 250;
        item.height = 47;
        item.toolTip = "Assassinates your enemies.";
		item.toolTip2 = "Dashing weapon.";
        item.useTime = 30;
        item.useAnimation = 30;
        item.useStyle = 5;
		item.shootSpeed = 18f;
		item.shoot = mod.ProjectileType("AssassinScythe");
		item.scale = 0.5f;
        item.knockBack = 6;
        item.value = 10000;
        item.rare = 10;
        item.useSound = 8;
        item.autoReuse = false;
    }

    public override void AddRecipes()
    {
        ModRecipe recipe = new ModRecipe(mod);
		recipe.AddIngredient(null, "TrueCoreLunar", 50);
		recipe.AddIngredient(null, "TrueCoreRare", 10);
        recipe.SetResult(this);
        recipe.AddRecipe();
    }

	
	public override bool Shoot(Player player, ref Vector2 position, ref float speedX, ref float speedY, ref int type, ref int damage, ref float knockBack)
    {
		int proj = Projectile.NewProjectile(position.X, position.Y, speedX, speedY, mod.ProjectileType("AssassinScythe"), damage, knockBack, Main.myPlayer);

		Main.projectile[proj].scale = 3.5f;		
		player.velocity.X = speedX;
		player.velocity.Y = speedY;	
		
		return false;
	}
}}