using System;
using Microsoft.Xna.Framework;
using Terraria;
using Terraria.ModLoader;

namespace AeonsOfTerraria.Items {
public class GravityDistortion : ModItem
{
	
    public override void SetDefaults()
    {
        item.name = "Gravity Distortion";
        item.damage = 160;
		item.useTurn = true;
		item.noMelee = true;
		item.magic = true;
		item.autoReuse = true;
		item.mana = 15;
        item.width = 66;
        item.height = 17;
        item.toolTip = "Creates a globe of distorted gravity field.";
        item.useTime = 30;
        item.useAnimation = 30;
        item.useStyle = 5;
		item.scale = 1.5f;
		item.shootSpeed = 10f;
		item.shoot = mod.ProjectileType("GravityDistorter");
        item.knockBack = 6;
        item.value = 10000;
        item.rare = 10;
        item.useSound = 8;
    }

    public override void AddRecipes()
    {
        ModRecipe recipe = new ModRecipe(mod);
        recipe.AddIngredient(null, "TrueCoreLunar", 30);
        recipe.SetResult(this);
        recipe.AddRecipe();
    }
	
}}