using System;
using Terraria;
using Terraria.ModLoader;
using Terraria.ID;

namespace AeonsOfTerraria.Items {
public class SlugsGreen : ModItem
{
    public override void SetDefaults()
    {	
		item.shootSpeed = 20f;
		item.shoot = 260;
		item.damage = 5;
		item.width = 12;
		item.height = 27;
		item.maxStack = 999;
		item.consumable = true;
		item.ammo = 666;
		item.knockBack = 2f;
		item.value = 5;
		item.ranged = true;
        item.name = "Slugs (Green)";
		item.rare = 5;
        item.toolTip = "Used in rail guns.";
    }

    public override void AddRecipes()
    {
        ModRecipe recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.Wire, 50);
		recipe.AddIngredient(ItemID.FallenStar, 5);
        recipe.SetResult(this, 50);
        recipe.AddRecipe();
    }
}}