using System;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace AeonsOfTerraria.Items {
public class TrueCoreMalum : ModItem
{
    public override void SetDefaults()
    {
        item.name = "True Core (Malum)";
        item.width = 20;
        item.height = 30;
        item.maxStack = 999;
        AddTooltip("The core of all evil.");
        item.value = 100;
        item.rare = 10;
    }

    public override void AddRecipes()
    {
        ModRecipe recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.LightsBane);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.TheBreaker);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.DemonBow);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.WarAxeoftheNight);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.CorruptYoyo);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.ShadowHelmet);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.ShadowScalemail);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.ShadowGreaves);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	
    }
}}