using System;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace AeonsOfTerraria.Items {
public class TrueCoreSanctus : ModItem
{
    public override void SetDefaults()
    {
        item.name = "True Core (Sanctus)";
        item.width = 20;
        item.height = 30;
        item.maxStack = 999;
        AddTooltip("The essence of light and heaven.");
        item.value = 100;
        item.rare = 10;
    }

    public override void AddRecipes()
    {
        ModRecipe recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.CobaltBreastplate);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.CobaltLeggings);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.CobaltMask);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.CobaltHat);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.CobaltHelmet);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.PalladiumBreastplate);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.PalladiumLeggings);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.PalladiumMask);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.PalladiumHeadgear);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.PalladiumHelmet);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.MythrilChainmail);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.MythrilGreaves);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.MythrilHood);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.MythrilHat);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.MythrilHelmet);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.OrichalcumBreastplate);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.OrichalcumLeggings);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.OrichalcumMask);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.OrichalcumHeadgear);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.OrichalcumHelmet);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();		

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.AdamantiteBreastplate);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.AdamantiteLeggings);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.AdamantiteMask);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.AdamantiteHeadgear);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.AdamantiteHelmet);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();			
		
        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.TitaniumBreastplate);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.TitaniumLeggings);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.TitaniumMask);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.TitaniumHeadgear);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.TitaniumHelmet);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();		
		
        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.FrostHelmet);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.FrostLeggings);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.FrostBreastplate);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();		

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.CobaltDrill);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.CobaltChainsaw);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.CobaltWaraxe);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.CobaltRepeater);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.CobaltSword);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.CobaltNaginata);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.PalladiumDrill);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.PalladiumChainsaw);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.PalladiumWaraxe);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.PalladiumRepeater);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.PalladiumSword);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.PalladiumPike);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.PalladiumPickaxe);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.OrichalcumDrill);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.OrichalcumChainsaw);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.OrichalcumWaraxe);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.OrichalcumRepeater);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.OrichalcumSword);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.OrichalcumHalberd);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.OrichalcumPickaxe);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.TitaniumDrill);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.TitaniumChainsaw);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.TitaniumWaraxe);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.TitaniumRepeater);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.TitaniumSword);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.TitaniumTrident);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.TitaniumPickaxe);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.MythrilDrill);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.MythrilChainsaw);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.MythrilWaraxe);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.MythrilRepeater);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.MythrilSword);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.MythrilHalberd);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.MythrilPickaxe);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.AdamantiteDrill);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.AdamantiteChainsaw);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.AdamantiteWaraxe);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.AdamantiteRepeater);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.AdamantiteSword);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.AdamantiteGlaive);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	
		
    }
}}