using System;
using Microsoft.Xna.Framework;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

using AeonsOfTerraria.Items;

namespace AeonsOfTerraria {
public class AeonsOfTerraria : Mod
{

	bool testMode = false;
	public AeonsOfTerraria()
	{
		Properties = new ModProperties()
		{
			Autoload = true,
			AutoloadGores = true,
			AutoloadSounds = true
		};
	}
	
    public override void Load()
    {
        //AddItem("ShootingStar",new ShootingStar(),"ShootingStar.png");
		AddGlobalItem("AeonsGlobal", new AeonsGlobal());
		;
    }
	
	public override void AddRecipes()
	{
		ModRecipe recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 15);
		recipe.AddIngredient(ItemID.SoulofLight, 10);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.RodofDiscord, 1);
        recipe.AddRecipe();	

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 8);
		recipe.AddIngredient(ItemID.GoldBar, 10);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.MedusaHead, 1);
        recipe.AddRecipe();	

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 2);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.ShinyRedBalloon, 1);
        recipe.AddRecipe();

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 4);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.Starfury, 1);
        recipe.AddRecipe();	

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 2);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.LuckyHorseshoe, 1);
        recipe.AddRecipe();			

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 10);
		recipe.AddIngredient(ItemID.SpectreBar, 10);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.ShadowbeamStaff, 1);
        recipe.AddRecipe();	

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 6);
		recipe.AddIngredient(ItemID.HellstoneBar, 15);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.HellwingBow, 1);
        recipe.AddRecipe();	

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 6);
		recipe.AddIngredient(ItemID.HellstoneBar, 15);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.BookofSkulls, 1);
        recipe.AddRecipe();	

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 10);
		recipe.AddIngredient(ItemID.Bone, 20);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.AncientNecroHelmet, 1);
        recipe.AddRecipe();	

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 10);
		recipe.AddIngredient(ItemID.JungleSpores, 5);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.AncientCobaltHelmet, 1);
        recipe.AddRecipe();	
		
        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 10);
		recipe.AddIngredient(ItemID.JungleSpores, 10);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.AncientCobaltBreastplate, 1);
        recipe.AddRecipe();	

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 10);
		recipe.AddIngredient(ItemID.JungleSpores, 5);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.AncientCobaltLeggings, 1);
        recipe.AddRecipe();

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 10);
		recipe.AddIngredient(ItemID.DemoniteBar, 20);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.AncientShadowHelmet, 1);
        recipe.AddRecipe();	
		
        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 10);
		recipe.AddIngredient(ItemID.DemoniteBar, 25);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.AncientShadowScalemail, 1);
        recipe.AddRecipe();	

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 10);
		recipe.AddIngredient(ItemID.DemoniteBar, 20);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.AncientShadowGreaves, 1);
        recipe.AddRecipe();	

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 10);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.GladiatorHelmet, 1);
        recipe.AddRecipe();	
		
        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 10);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.GladiatorBreastplate, 1);
        recipe.AddRecipe();	

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 10);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.GladiatorLeggings, 1);
        recipe.AddRecipe();

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 8);
		recipe.AddIngredient(ItemID.SpectreBar, 5);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.PaladinsShield, 1);
        recipe.AddRecipe();

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 8);
		recipe.AddIngredient(ItemID.SpectreBar, 5);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.PaladinsHammer, 1);
        recipe.AddRecipe();	

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 7);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.WizardHat, 1);
        recipe.AddRecipe();			
		
        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 7);
		recipe.AddIngredient(ItemID.SpectreBar, 5);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.InfernoFork, 1);
        recipe.AddRecipe();

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 7);
		recipe.AddIngredient(ItemID.SpectreBar, 5);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.SpectreStaff, 1);
        recipe.AddRecipe();

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 4);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.Blowpipe, 1);
        recipe.AddRecipe();	

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 3);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.FlareGun, 1);
        recipe.AddRecipe();	

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 5);
		recipe.AddIngredient(ItemID.ChlorophyteBar, 5);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.TurtleShell, 1);
        recipe.AddRecipe();

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 15);
		recipe.AddIngredient(ItemID.SpectreBar, 10);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.FrozenTurtleShell, 1);
        recipe.AddRecipe();

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 20);
		recipe.AddIngredient(ItemID.SpectreBar, 5);
		recipe.AddIngredient(ItemID.HallowedBar, 5);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.SniperRifle, 1);
        recipe.AddRecipe();

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 15);
		recipe.AddIngredient(ItemID.SpectreBar, 5);
		recipe.AddIngredient(ItemID.HallowedBar, 5);	
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.TacticalShotgun, 1);
        recipe.AddRecipe();

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 7);
		recipe.AddIngredient(ItemID.HallowedBar, 5);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.MoonStone, 1);
        recipe.AddRecipe();	

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 4);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.HermesBoots, 1);
        recipe.AddRecipe();

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 4);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.CloudinaBottle, 1);
        recipe.AddRecipe();	

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 4);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.TsunamiInABottle, 1);
        recipe.AddRecipe();

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 4);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.SandstorminaBottle, 1);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 3);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.BeachBall, 1);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 8);
		recipe.AddIngredient(ItemID.HallowedBar, 10);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.MoonCharm, 1);
        recipe.AddRecipe();

        recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 30);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.TruffleWorm, 1);
        recipe.AddRecipe();	

		recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 10);
		recipe.AddIngredient(ItemID.HallowedBar, 10);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.MoonShell, 1);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 13);
		recipe.AddIngredient(ItemID.HallowedBar, 10);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.CelestialShell, 1);
        recipe.AddRecipe();

		recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 7);
		recipe.AddIngredient(ItemID.HallowedBar, 10);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.NeptunesShell, 1);
        recipe.AddRecipe();	

		recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 7);
		recipe.AddIngredient(ItemID.SpectreBar, 10);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.AdhesiveBandage, 1);
        recipe.AddRecipe();

		recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 7);
		recipe.AddIngredient(ItemID.SpectreBar, 10);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.BlackBelt, 1);
        recipe.AddRecipe();

		recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 7);
		recipe.AddIngredient(ItemID.SpectreBar, 10);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.Blindfold, 1);
        recipe.AddRecipe();

		recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 7);
		recipe.AddIngredient(ItemID.SpectreBar, 10);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.FastClock, 1);
        recipe.AddRecipe();

		recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 7);
		recipe.AddIngredient(ItemID.SpectreBar, 10);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.MagicQuiver, 1);
        recipe.AddRecipe();

		recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 7);
		recipe.AddIngredient(ItemID.SpectreBar, 10);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.Nazar, 1);
        recipe.AddRecipe();

		recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 7);
		recipe.AddIngredient(ItemID.HellstoneBar, 10);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.ObsidianRose, 1);
        recipe.AddRecipe();

		recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 7);
		recipe.AddIngredient(ItemID.SpectreBar, 5);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.RifleScope, 1);
        recipe.AddRecipe();

		recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 7);
		recipe.AddIngredient(ItemID.IronBar, 10);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.SharkToothNecklace, 1);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 7);
		recipe.AddIngredient(ItemID.LeadBar, 10);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.SharkToothNecklace, 1);
        recipe.AddRecipe();		

		recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 7);
		recipe.AddIngredient(ItemID.SpectreBar, 5);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.Vitamins, 1);
        recipe.AddRecipe();

		recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 7);
		recipe.AddIngredient(ItemID.SoulofFlight, 30);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.GiantHarpyFeather, 1);
        recipe.AddRecipe();

		recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 7);
		recipe.AddIngredient(ItemID.SoulofFlight, 30);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.ButterflyDust, 1);
        recipe.AddRecipe();			
		
		recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 7);
		recipe.AddIngredient(ItemID.SpectreBar, 5);
		recipe.AddIngredient(ItemID.SoulofFlight, 30);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.BrokenBatWing, 1);
        recipe.AddRecipe();

		recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 7);
		recipe.AddIngredient(ItemID.SpectreBar, 5);
		recipe.AddIngredient(ItemID.SoulofFlight, 30);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.BrokenHeroSword, 1);
        recipe.AddRecipe();	

		recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 7);
		recipe.AddIngredient(ItemID.HallowedBar, 5);
		recipe.AddIngredient(ItemID.SoulofFlight, 30);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.BoneFeather, 1);
        recipe.AddRecipe();	

		recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 10);
		recipe.AddIngredient(ItemID.SpectreBar, 5);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.MothronWings, 1);
        recipe.AddRecipe();	

		recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 7);
		recipe.AddIngredient(ItemID.HallowedBar, 5);
		recipe.AddIngredient(ItemID.SoulofFlight, 30);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.FireFeather, 1);
        recipe.AddRecipe();	

		recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 7);
		recipe.AddIngredient(ItemID.SpectreBar, 5);
		recipe.AddIngredient(ItemID.SoulofFlight, 30);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.BlackFairyDust, 1);
        recipe.AddRecipe();

		recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 7);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.FartinaJar, 1);
        recipe.AddRecipe();	

		recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 20);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.Arkhalis, 1);
        recipe.AddRecipe();	

		recipe = new ModRecipe(this);
        recipe.AddIngredient(null, "TrueCoreRare", 10);
		recipe.AddTile(this, "AncientTransmuter");
        recipe.SetResult(ItemID.EnchantedSword, 1);
        recipe.AddRecipe();
		
	}
	
	//For testing purposes (from ExampleMod)
	
	public override void ChatInput(string text)
	{
		if (text[0] != '/')
		{
			return;
		}
		text = text.Substring(1);
		int index = text.IndexOf(' ');
		string command;
		string[] args;
		if (index < 0)
		{
			command = text;
			args = new string[0];
		}
		else
		{
			command = text.Substring(0, index);
			args = text.Substring(index + 1).Split(' ');
		}
		if (command == "item")
		{
			ItemCommand(args);
		}	
	}
	
	private void ItemCommand(string[] args)
	{
		if(!testMode)
		{
			return;
		}
		if (args.Length == 0)
		{
			Main.NewText("Usage: /item [type|name] [stack]");
			return;
		}
		try
		{
			Player player = Main.player[Main.myPlayer];
			int type;
			if (!Int32.TryParse(args[0], out type))
			{
				args[0] = args[0].Replace("_", " ");
				for (int k = 0; k < Main.itemName.Length; k++)
				{
					if (args[0] == Main.itemName[k])
					{
						type = k;
						break;
					}
				}
			}
			int stack;
			if (args.Length < 2 || !Int32.TryParse(args[1], out stack))
			{
				stack = 1;
			}
			Item.NewItem((int)player.position.X, (int)player.position.Y, player.width, player.height, type, stack);
		}
		catch
		{
			Main.NewText("Usage: /item [type|name] [stack]");
		}
		
	}
	
}}