using System;
using Terraria;
using Terraria.ModLoader;
using Terraria.ID;

namespace AeonsOfTerraria.Items {
public class SlugsShadow : ModItem
{
    public override void SetDefaults()
    {	
		item.shootSpeed = 0f;
		item.shoot = 294;
		item.damage = 50;
		item.width = 12;
		item.height = 27;
		item.maxStack = 999;
		item.consumable = true;
		item.ammo = 666;
		item.knockBack = 2f;
		item.value = 5;
		item.ranged = true;
        item.name = "Slugs (Shadow)";
		item.rare = 5;
        item.toolTip = "Shoots a shadow beam.";
    }

    public override void AddRecipes()
    {
        ModRecipe recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.Wire, 50);
		recipe.AddIngredient(ItemID.SoulofNight, 10);
        recipe.SetResult(this, 50);
        recipe.AddRecipe();
    }
}}