using System;
using Microsoft.Xna.Framework;
using Terraria;
using Terraria.ModLoader;

namespace AeonsOfTerraria.Items {
public class StarRod : ModItem
{
	
    public override void SetDefaults()
    {
        item.name = "Star Rod";
        item.damage = 11;
		item.useTurn = true;
		item.magic = true;
		item.noMelee = true;
		item.mana = 3;
        item.width = 56;
        item.height = 58;
        item.toolTip = "Casts stars.";
        item.useTime = 24;
        item.useAnimation = 24;
        item.useStyle = 1;
		item.shootSpeed = 12f;
		item.shoot = 1;
		item.scale = 0.7f;
        item.knockBack = 6;
        item.value = 10000;
        item.rare = 4;
        item.useSound = 9;
        item.autoReuse = true;
    }

    public override void AddRecipes()
    {
        ModRecipe recipe = new ModRecipe(mod);
        recipe.AddIngredient(null, "TrueCoreAes", 10);
        recipe.SetResult(this);
        recipe.AddRecipe();
    }
	
	public override bool Shoot(Player player, ref Vector2 position, ref float speedX, ref float speedY, ref int type, ref int damage, ref float knockBack)
	{
		Projectile.NewProjectile(player.position.X, player.position.Y, speedX, speedY, 9, damage , knockBack, Main.myPlayer);
		return false;
	}
	
}}