using System;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace AeonsOfTerraria.Items {
public class TrueCoreInfernum : ModItem
{
    public override void SetDefaults()
    {
        item.name = "True Core (Infernum)";
        item.width = 20;
        item.height = 30;
        item.maxStack = 999;
        AddTooltip("Made by the devil itself.");
        item.value = 100;
        item.rare = 10;
    }

    public override void AddRecipes()
    {
        ModRecipe recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.MoltenHelmet);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.MoltenBreastplate);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.MoltenGreaves);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.FieryGreatsword);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.Flamarang);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.MoltenFury);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.PhoenixBlaster);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();
    }
}}