using System;
using Terraria;
using Terraria.ID;
using Terraria.DataStructures;
using Microsoft.Xna.Framework;
using Terraria.ModLoader;

namespace AeonsOfTerraria.Items {
public class TrueCoreRare : ModItem
{
    public override void SetDefaults()
    {
        item.name = "True Core (Rare)";
        item.width = 20;
        item.height = 30;
        item.maxStack = 999;
        AddTooltip("For when RNG sucks.");
        item.value = 100;
        item.rare = 10;
    }
	
	public override DrawAnimation GetAnimation()
    {
        return new DrawAnimationVertical(7, 5);
    }

    public override void AddRecipes()
    {
        ModRecipe recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.RodofDiscord);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 10);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.MedusaHead);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.ShadowbeamStaff);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.HellwingBow);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.BookofSkulls);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.AncientNecroHelmet);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 7);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.AncientCobaltHelmet);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 7);
        recipe.AddRecipe();	
		
        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.AncientCobaltBreastplate);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 7);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.AncientCobaltLeggings);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 7);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.AncientShadowHelmet);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 7);
        recipe.AddRecipe();	
		
        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.AncientShadowScalemail);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 7);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.AncientShadowGreaves);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 7);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.GladiatorHelmet);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 6);
        recipe.AddRecipe();	
		
        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.GladiatorBreastplate);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 6);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.GladiatorLeggings);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 6);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.PaladinsShield);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.PaladinsHammer);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.WizardHat);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();			
		
        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.InfernoFork);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.SpectreStaff);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 6);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.Blowpipe);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 2);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.FlareGun);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 1);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.TurtleShell);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 3);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.FrozenTurtleShell);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 10);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.SniperRifle);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 10);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.TacticalShotgun);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 6);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.MoonStone);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.HermesBoots);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 2);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.CloudinaBottle);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 2);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.TsunamiInABottle);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 2);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.SandstorminaBottle);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 2);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.BeachBall);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 2);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.MoonCharm);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.TruffleWorm);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 3);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.MoonShell);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 6);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.CelestialShell);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.NeptunesShell);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.AdhesiveBandage);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.BlackBelt);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.Blindfold);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.FastClock);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.MagicQuiver);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.Nazar);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.ObsidianRose);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.RifleScope);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.SharkToothNecklace);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.Vitamins);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.GiantHarpyFeather);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.ButterflyDust);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();			
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.BrokenBatWing);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.BrokenHeroSword);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.BoneFeather);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.MothronWings);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.FireFeather);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.BlackFairyDust);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.FartinaJar);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 3);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.Arkhalis);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 15);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.EnchantedSword);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();		
    }
}}